﻿<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <!-- The above 3 meta tags *must* come first in the head; any other head content must come *after* these tags -->
    <meta name="description" content="">
    <meta name="author" content="">
    <link rel="icon" href="assets/ico/favicon.ico">
    <title>cPicture - Freeware Windows Photo Explorer</title>
    <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/1.12.4/jquery.min.js"></script>
    <!-- Bootstrap core CSS -->
    <link href="dist/css/bootstrap.min.css" rel="stylesheet">
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <link href="assets/css/ie10-viewport-bug-workaround.css" rel="stylesheet">
    <!-- Custom styles for this template -->
    <link href="assets/css/jumbotron-narrow.css" rel="stylesheet">
    <!-- Just for debugging purposes. Don't actually copy these 2 lines! -->
    <!--[if lt IE 9]><script src="assets/js/ie8-responsive-file-warning.js"></script><![endif]-->
    <script src="assets/js/ie-emulation-modes-warning.js"></script>
    <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
    <!--[if lt IE 9]>
      <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
      <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
    <![endif]-->
    <script type="text/javascript">
        $(document).ready(function () { $("#version").load("version2.txt"); });
    </script>
    </script>
    <style>
        #version-text a {
            color: white;
        }
    </style>
</head>
<body>
    <div class="container">
        <div class="header clearfix">
            <h3 class="text-muted">cPicture - Freeware Windows Photo Explorer</h3>
        </div>

        <div class="row">
            <div class="col-md-6" id="version-text">
                <h3><span class="label label-primary">Version: <span id="version" /></span></h3>
            </div>
            <br />
            <div class="col-md-4">
                <a href="http://www.infai.org/jpeg/"><img src="assets/img/JPEG_9.png" /></a>
            </div>
        </div>

        <div class="row">
            <div class="col-md-12">
                <hr />
                <h3 class="text-muted">5.2.2017: <a href="/blog/index.php?controller=post&amp;action=view&amp;id_post=62">Version 3.7: support for high-DPI with 4k Monitors</a></h3>
                <hr />
            </div>
        </div>
        <br />
        <br />

        <div class="row">
            <div class="col-lg-6">
                <img src="assets/img/cpicture.png" />
                <br />
                <br />
            </div>
        </div>
        <br />
        <br />

        <div class="row">
            <div class="panel panel-info">
                <div class="panel-heading">
                    <h3 class="panel-title">Kommentare / Comments</h3>
                </div>
                <div class="panel-body">
                    <br />
                    <form name="htmlform" method="post" action="html_form_send.php">
                        <div class="col-md-4">
                            <label for="comments">
                                <h5>Was gefällt Ihnen und was könnte besser sein?<br />EMail für Antwort.</h5>
                                <h5>What you like and what needs to be improved?<br />Include EMail for reply.</h5>
                            </label>
                        </div>
                        <div class="col-md-4">
                            <textarea name="comments" cols="25" rows="6"></textarea>
                        </div>
                        <div class="col-md-4">
                            <input id="send" type="submit" value="Send" />
                        </div>
                    </form>
                </div>
            </div>
        </div>

        <br />
        <br />

        <div class="row">
            <div class="panel panel-info">
                <div class="panel-heading">
                    <h3 class="panel-title">Download</h3>
                </div>
                <div class="panel-body">
                    <code>[Windows 7+]</code>
                    <br />
                    <br />
                    <div class="col-md-3">
                        <div class="form-group">
                            <select class="combobox form-control" id="sprache">
                                <option value="de" selected="de">Deutsch</option>
                                <option value="en">English</option>
                                <option value="fr">Français</option>
                                <option value="hu">Magyar</option>
                                <option value="it">Italiano</option>
                                <option value="pl">Polskie</option>
                                <option value="jp">日本語</option>
                                <option value="ch">简体中文</option>
                                <option value="tw">中國傳統</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-2">
                        <div class="form-group">
                            <select class="combobox form-control" id="arch">
                                <option value="x86">32 Bit</option>
                                <option value="x64" selected="x86">64 Bit</option>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-4">
                        <div class="form-group">
                            <select class="combobox form-control" id="install">
                                <option value="zip" selected="zip">.ZIP</option>
                                <option value="msi">Microsoft Installer .MSI</option>
                            </select>
                        </div>
                    </div>
                    <script>
                        $('#sprache').change(function()
                        {
                            var sprache = $(this).find(":selected").text();

                            if($(this).val() == "de")
                            {
                                $('#readEula').text("EULA lesen");
                                $('#hrefEula').attr("href", "de/eula.rtf");
                                $('#acceptEula').text("EULA akzeptieren");
                            }
                            else
                            {
                                $('#readEula').text("read EULA");
                                $('#hrefEula').attr("href", "en/eula.rtf");
                                $('#acceptEula').text("Accept EULA");
                            }
                        });
                    </script>

                    <div class="col-md-6">
                        <h3>
                            <a id="download" href="de/cpicture.exe">
                                <span id="downloadBtn" class="label label-warning">Download</span>
                            </a>
                        </h3>
                        <a id="hrefEula" href="de/eula.rtf">
                            <code id="readEula">EULA lesen</code>
                        </a>
                        <label for="eula_de"><code id="acceptEula">EULA akzeptieren</code></label>
                        <input type="checkbox" id="eulaCheckbox">
                        <script type="text/javascript">

                            // intercept anchor tag click
                            $("#download").click(function()
                            {
                              if ($('#eulaCheckbox:checkbox').is(':checked'))
                              {
                                var path = "./";

                                if ($('#arch').val() == 'x86') { path += "x86/" }

                                path += $('#sprache').val();
                                path += "/cPicture.";
                                path += $('#install').val();

                                $(this).attr("href", path);

                                return true;
                              }
                              else
                              {
                                Eula();

                                return false;
                              }
                            });

                            // Download button umfärben
                            $('#eulaCheckbox:checkbox').change(function ()
                            {
                                if ($(this).is(':checked'))
                                {
                                    $("#downloadBtn").attr("class", "label label-success");
                                }
                                else
                                {
                                    $("#downloadBtn").attr("class", "label label-warning");
                                }
                            });

                            function Eula()
                            {
                                if ($('#sprache').val() == "de")
                                {
                                    alert("Sie müssen zuerst die EULA (End User Licence Agreement) lesen und dann das Kontrollkästchen zum akzeptieren anklicken.\nFalls Ihr Browser diese Automatik nicht unterstützt und sie die EULA gelesen haben, können die cPicture direkt über http://cpicture.thecloudsite.net/de/cpicture.zip (64bit) oder http://cpicture.thecloudsite.net/x86/de/cpicture.zip (32bit) downloaden.");
                                }
                                else
                                {
                                    alert("You need first read the EULA (End User Licence Agreement) and then click the checkbox to accept.\nIn case your Browser doesn't support this function and if you have read the EULA, you can download cPicture directly from http://cpicture.thecloudsite.net/en/cpicture.zip (64bit) or http://cpicture.thecloudsite.net/x86/en/cpicture.zip (32bit).");
                                }
                            }
                        </script>
                    </div>
                    <div class="col-md-12">
                        <a href="http://cpicture.thecloudsite.net/blog/index.php?controller=post&action=view&id_post=2"><h4>Download info</h4></a>
                        <a href="http://cpicture.thecloudsite.net/blog/index.php?controller=post&action=view&id_post=29"><h4>Function Plugins</h4></a>
                    </div>
                </div>
            </div>
        </div>
        <br />
        <br />
        <div class="row">
            <div class="panel panel-warning">
                <div class="panel-heading">
                    <h3 class="panel-title">Unterstützung / Contribute</h3>
                </div>
                <div class="panel-body">
                    <div class="col-md-6">
                        <form action="https://www.paypal.com/cgi-bin/webscr" method="post" target="_top">
                            <button type="submit" class="btn btn-lg btn-success">
                                <input type="hidden" name="cmd" value="_s-xclick">
                                <input type="hidden" name="hosted_button_id" value="7EFPUZV7WV77Q">
                                <small class="fg-color-blueDark">Donate</small>
                                <input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donateCC_LG.gif" border="0" name="submit" alt="PayPal - The safer, easier way to pay online!">
                                <img alt="" border="0" src="https://www.paypalobjects.com/en_US/i/scr/pixel.gif" width="1" height="1">
                            </button>
                        </form>
                    </div>
                    <div class="col-md-6">
                        <a href="mailto:cpicture@thecloudsite.net" id="mailto"><button type="button" class="btn btn-lg btn-primary">mailto:cpicture@thecloudsite.net</button></a>
                    </div>
                    <div class="col-md-4">
                        <a href="http://cpicture.thecloudsite.net/blog/index.php"><button type="button" class="btn btn-lg btn-info">Blog</button></a>
                    </div>
                    <script type="text/javascript">

                            // intercept anchor tag click
                            $("#mailto").click(function()
                            {
                                var version = "";

                                // .get ist asynchron
                                jQuery.ajax({
                                    url: "version.txt",
                                    success: function(response)
                                    {
                                        version = response;
                                    },
                                    async:false
                                });

                                var href = $(this).attr("href");
                                $(this).attr("href", href + "?subject=cPicture " + version);

                                return true;
                            });
                    </script>
                </div>
            </div>
        </div>

        <footer class="footer">
            <p>&copy; 2017 thecloudsite.net</p>
        </footer>
    </div> <!-- /container -->
    <!-- IE10 viewport hack for Surface/desktop Windows 8 bug -->
    <script src="assets/js/ie10-viewport-bug-workaround.js"></script>
</body>
</html>
